## org.apache.commons.math3.exception
Class NotFiniteNumberException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.NotFiniteNumberException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NotFiniteNumberException

extends MathIllegalNumberException

Exception to be thrown when a number is not finite.

Since:
  3.0
Version:
  $Id: NotFiniteNumberException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NotFiniteNumberException(Localizable specific, java.lang.Number wrong, java.lang.Object... args)` Construct the exception with a specific context.
`NotFiniteNumberException(java.lang.Number wrong, java.lang.Object... args)` Construct the exception.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NotFiniteNumberException

    public NotFiniteNumberException(java.lang.Number wrong,
                                    java.lang.Object... args)

  Construct the exception.

  Parameters:
    `wrong` - Value that is infinite or NaN.
    `args` - Optional arguments.

### NotFiniteNumberException

    public NotFiniteNumberException(Localizable specific,
                                    java.lang.Number wrong,
                                    java.lang.Object... args)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Specific context pattern.
    `wrong` - Value that is infinite or NaN.
    `args` - Optional arguments.

Copyright (c) 2003-2013 Apache Software Foundation